From 90b133b5532a29b99a887fcad2f9327956079bcd Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 02 2020 06:53:37 +0000
Subject: [PATCH 1217/2232] Move C++-specific namespace code unused by the proc macro


---

diff --git a/gen/src/mod.rs b/gen/src/mod.rs
index 61a8bbe..3d12c71 100644
--- a/gen/src/mod.rs
+++ b/gen/src/mod.rs
@@ -9,6 +9,7 @@ mod file;
 pub(super) mod fs;
 mod ifndef;
 pub(super) mod include;
+mod namespace;
 mod nested;
 pub(super) mod out;
 mod write;
diff --git a/gen/src/namespace.rs b/gen/src/namespace.rs
new file mode 100644
index 0000000..a8b049f
--- /dev/null
+++ b/gen/src/namespace.rs
@@ -0,0 +1,14 @@
+use crate::syntax::namespace::Namespace;
+use crate::syntax::Api;
+
+impl Api {
+    pub fn namespace(&self) -> &Namespace {
+        match self {
+            Api::CxxFunction(efn) | Api::RustFunction(efn) => &efn.ident.cxx.namespace,
+            Api::CxxType(ety) | Api::RustType(ety) => &ety.ident.cxx.namespace,
+            Api::Enum(enm) => &enm.ident.cxx.namespace,
+            Api::Struct(strct) => &strct.ident.cxx.namespace,
+            Api::Impl(_) | Api::Include(_) | Api::TypeAlias(_) => Default::default(),
+        }
+    }
+}
diff --git a/syntax/namespace.rs b/syntax/namespace.rs
index 160650f..07185e1 100644
--- a/syntax/namespace.rs
+++ b/syntax/namespace.rs
@@ -1,5 +1,4 @@
 use crate::syntax::qualified::QualifiedName;
-use crate::syntax::Api;
 use quote::IdentFragment;
 use std::fmt::{self, Display};
 use std::iter::FromIterator;
@@ -84,15 +83,3 @@ impl<'a> FromIterator<&'a Ident> for Namespace {
         Namespace { segments }
     }
 }
-
-impl Api {
-    pub fn namespace(&self) -> &Namespace {
-        match self {
-            Api::CxxFunction(efn) | Api::RustFunction(efn) => &efn.ident.cxx.namespace,
-            Api::CxxType(ety) | Api::RustType(ety) => &ety.ident.cxx.namespace,
-            Api::Enum(enm) => &enm.ident.cxx.namespace,
-            Api::Struct(strct) => &strct.ident.cxx.namespace,
-            Api::Impl(_) | Api::Include(_) | Api::TypeAlias(_) => Default::default(),
-        }
-    }
-}

